package sysorg

import (
	"wechat-conf/controllers"
	"wechat-conf/service/sysorg"
)

// SysorgController 信息
type SysorgController struct {
	dao *sysorg.SysorgServ
	controllers.BaseController
}

// Constructor 初始化 Controller
// @Title Constructor
// @Description 初始化 Controller, 系统自动调用
func (c *SysorgController) Constructor() {
	c.dao = sysorg.NewSysorgServ(c.Context)
}
func (c *SysorgController) GetOrgList() {
	page, _ := c.GetInt("page")
	pageSize, _ := c.GetInt("pagesize")
	list, err := c.dao.GetOrgList(page, pageSize)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(list)
}

// func (c *SysorgController)AddOrg(){
// 	org:=model.
// }
